com.io7m.r2.filters

## Class R2FilterFogParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2FilterFogParameters.Builder

- Enclosing class:
    R2FilterFogParameters

      public static final class R2FilterFogParameters.Builder
      extends Object

  Builds instances of type `R2FilterFogParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2FilterFogParameters` | `build()` Builds a new `R2FilterFogParameters`.
    `R2FilterFogParameters.Builder` | `from(R2FilterFogParametersType instance)` Fill a builder with attribute values from the provided `R2FilterFogParametersType` instance.
    `R2FilterFogParameters.Builder` | `setFogColor(com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceRGBType> fogColor)` Initializes the value for the `fogColor` attribute.
    `R2FilterFogParameters.Builder` | `setFogFarPositiveZ(float fogFarPositiveZ)` Initializes the value for the `fogFarPositiveZ` attribute.
    `R2FilterFogParameters.Builder` | `setFogNearPositiveZ(float fogNearPositiveZ)` Initializes the value for the `fogNearPositiveZ` attribute.
    `R2FilterFogParameters.Builder` | `setImageDepthTexture(R2Texture2DUsableType imageDepthTexture)` Initializes the value for the `imageDepthTexture` attribute.
    `R2FilterFogParameters.Builder` | `setImageTexture(R2Texture2DUsableType imageTexture)` Initializes the value for the `imageTexture` attribute.
    `R2FilterFogParameters.Builder` | `setObserverValues(R2MatricesObserverValuesType observerValues)` Initializes the value for the `observerValues` attribute.
    `R2FilterFogParameters.Builder` | `setProgression(R2FilterFogProgression progression)` Initializes the value for the `progression` attribute.
    `R2FilterFogParameters.Builder` | `setViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport)` Initializes the value for the `viewport` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2FilterFogParameters.Builder from(R2FilterFogParametersType instance)

      Fill a builder with attribute values from the provided `R2FilterFogParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setProgression

          public final R2FilterFogParameters.Builder setProgression(R2FilterFogProgression progression)

      Initializes the value for the `progression` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `progression`.

      Parameters:
        `progression` - The value for progression
      Returns:
        `this` builder for use in a chained invocation

    - #### setViewport

          public final R2FilterFogParameters.Builder setViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport)

      Initializes the value for the `viewport` attribute.
      Parameters:
        `viewport` - The value for viewport
      Returns:
        `this` builder for use in a chained invocation

    - #### setImageTexture

          public final R2FilterFogParameters.Builder setImageTexture(R2Texture2DUsableType imageTexture)

      Initializes the value for the `imageTexture` attribute.
      Parameters:
        `imageTexture` - The value for imageTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setImageDepthTexture

          public final R2FilterFogParameters.Builder setImageDepthTexture(R2Texture2DUsableType imageDepthTexture)

      Initializes the value for the `imageDepthTexture` attribute.
      Parameters:
        `imageDepthTexture` - The value for imageDepthTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setFogNearPositiveZ

          public final R2FilterFogParameters.Builder setFogNearPositiveZ(float fogNearPositiveZ)

      Initializes the value for the `fogNearPositiveZ` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `fogNearPositiveZ`.

      Parameters:
        `fogNearPositiveZ` - The value for fogNearPositiveZ
      Returns:
        `this` builder for use in a chained invocation

    - #### setFogFarPositiveZ

          public final R2FilterFogParameters.Builder setFogFarPositiveZ(float fogFarPositiveZ)

      Initializes the value for the `fogFarPositiveZ` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `fogFarPositiveZ`.

      Parameters:
        `fogFarPositiveZ` - The value for fogFarPositiveZ
      Returns:
        `this` builder for use in a chained invocation

    - #### setFogColor

          public final R2FilterFogParameters.Builder setFogColor(com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceRGBType> fogColor)

      Initializes the value for the `fogColor` attribute.
      Parameters:
        `fogColor` - The value for fogColor
      Returns:
        `this` builder for use in a chained invocation

    - #### setObserverValues

          public final R2FilterFogParameters.Builder setObserverValues(R2MatricesObserverValuesType observerValues)

      Initializes the value for the `observerValues` attribute.
      Parameters:
        `observerValues` - The value for observerValues
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2FilterFogParameters build()

      Builds a new `R2FilterFogParameters`.
      Returns:
        An immutable instance of R2FilterFogParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com